Report Completed

post{listenerUrl}/report-completed

Triggered when a report is completed and ready for download.

Use the reportId from the payload as the path parameter to Create Report Download URL to generate a short-lived pre-signed URL for the report artifact.

Request

Header Parameters

  • X-Delivery-Idstring

    Unique message id plus delivery attempt.

  • X-Key-Idstring

    ID of the public key used to validate the signature.

  • X-Signaturestring

    Base64-encoded RSA SHA-256 signature of {deliveryId}:{keyId}:{requestBody}.

Body application/json

  • topicstring
    Allowed values:report-completed
  • payloadobject
    • reportTypestring
      Allowed values:daily-funding-sourcemonthly-funding-sourcedaily-funding-source-interactionmonthly-funding-source-interactiondaily-paymentmonthly-payment

      The type of report being generated.

    • reportIdstring

      Identifier of the report.

  • messageIdstring
  • listenerIdstring
  • listenerAccountIdstring
  • deliveryAttemptnumber
  • createdAtstring

    The notification message creation timestamp.

  • sentAtstring

    The delivery attempt timestamp.

  • keyIdstring

    The public key id for validating the signature. Public keys can be found at https://api.immersve.com/.well-known/jwks.json and matched using the "kid" attribute.

  • issuerstring